Package com.collibra.dgc.core.api.dto.assignment

# Class ChangeAssignmentRequest.Builder

Object
Builder

Enclosing class:
  `ChangeAssignmentRequest`

public static final class ChangeAssignmentRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeAssignmentRequest.Builder`
  `articulationRules(List<@NotNull @Valid ArticulationRuleRequest> articulationRules)`
  The articulation rule definitions.
  `ChangeAssignmentRequest.Builder`
  `assignmentId(UUID assignmentId)`
  Required. The ID of the assignment to change.
  `ChangeAssignmentRequest`
  `build()`
  `ChangeAssignmentRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeAssignmentRequest.Builder`
  `characteristicTypes(List<@NotNull @Valid CharacteristicTypeAssignmentReference> characteristicTypes)`
  The list of characteristic types to be assigned, along with their assignment modalities.
  `ChangeAssignmentRequest.Builder`
  `dataQualityRuleIds(List<@NotNull UUID> dataQualityRuleIds)`
  Deprecated.
  The list of data quality rule IDs will be removed in the future.
  `ChangeAssignmentRequest.Builder`
  `defaultStatusId(UUID defaultStatusId)`
  Deprecated.
  `ChangeAssignmentRequest.Builder`
  `domainTypeIds(List<@NotNull UUID> domainTypeIds)`
  The list of IDs of the domain types.
  `ChangeAssignmentRequest.Builder`
  `scopeId(UUID scopeId)`
  Deprecated.
  The ID of the scope is ignored, and will be removed in the future.
  `ChangeAssignmentRequest.Builder`
  `statusIds(List<@NotNull UUID> statusIds)`
  The list of IDs of the statuses.
  `String`
  `toString()`
  `ChangeAssignmentRequest.Builder`
  `validationRuleIds(List<@NotNull UUID> validationRuleIds)`
  The list of IDs of the validation rules.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeAssignmentRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeAssignmentRequest.builder()`
    Clone method for this Builder.

  - ### assignmentId

    public ChangeAssignmentRequest.Builder assignmentId(UUID assignmentId)
    Required. The ID of the assignment to change.
    Returns:
      `this`.

  - ### statusIds

    public ChangeAssignmentRequest.Builder statusIds(List<@NotNull UUID> statusIds)
    The list of IDs of the statuses. The first element in the list is used as default status id.
    Returns:
      `this`.

  - ### characteristicTypes

    public ChangeAssignmentRequest.Builder characteristicTypes(List<@NotNull @Valid CharacteristicTypeAssignmentReference> characteristicTypes)
    The list of characteristic types to be assigned, along with their assignment modalities.
    Returns:
      `this`.

  - ### articulationRules

    public ChangeAssignmentRequest.Builder articulationRules(List<@NotNull @Valid ArticulationRuleRequest> articulationRules)
    The articulation rule definitions.
    Returns:
      `this`.

  - ### validationRuleIds

    public ChangeAssignmentRequest.Builder validationRuleIds(List<@NotNull UUID> validationRuleIds)
    The list of IDs of the validation rules.
    Returns:
      `this`.

  - ### dataQualityRuleIds

    @Deprecated public ChangeAssignmentRequest.Builder dataQualityRuleIds(List<@NotNull UUID> dataQualityRuleIds)
    Deprecated.
    The list of data quality rule IDs will be removed in the future.
    The list of IDs of the data quality rules.
    Returns:
      `this`.

  - ### domainTypeIds

    public ChangeAssignmentRequest.Builder domainTypeIds(List<@NotNull UUID> domainTypeIds)
    The list of IDs of the domain types.
    Returns:
      `this`.

  - ### defaultStatusId

    @Deprecated public ChangeAssignmentRequest.Builder defaultStatusId(UUID defaultStatusId)
    Deprecated.
    The ID of the default status for the asset type. This property will be ignored. The default status is the first status in the list of assigned statuses of the assignment.
    Returns:
      `this`.

  - ### scopeId

    @Deprecated public ChangeAssignmentRequest.Builder scopeId(UUID scopeId)
    Deprecated.
    The ID of the scope is ignored, and will be removed in the future.
    The ID of the scope the assignment corresponds to.
    Returns:
      `this`.

  - ### build

    public ChangeAssignmentRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`